Skip to content
Start here

List emails sent to an abuse report submitter

abuse_reports.submitted.emails.list(strreport_id, EmailListParams**kwargs) -> SyncV4PagePagination[EmailListResponse]
GET/accounts/{account_id}/abuse-reports/submitted/{report_id}/emails

List successful emails sent to the submitter of a report submitted by the account. Does not include emails sent to customers or hosts.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Trust and Safety WriteTrust and Safety Read
ParametersExpand Collapse
account_id: str
maxLength32
report_id: str
page: Optional[int]

Page number to retrieve (default 1).

per_page: Optional[int]

Number of emails per page (default 20, max 100).

ReturnsExpand Collapse
class EmailListResponse:
emails: List[Email]
id: str

Unique identifier of the email.

body: str

Body content of the email.

recipient: str

Email address of the recipient.

sent_at: str

When the email was sent. Time in RFC 3339 format (https://www.rfc-editor.org/rfc/rfc3339.html)

subject: str

Subject line of the email.

List emails sent to an abuse report submitter

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.abuse_reports.submitted.emails.list(
    report_id="report_id",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
page = page.result.items[0]
print(page.emails)
{
  "result": {
    "emails": [
      {
        "id": "id",
        "body": "body",
        "recipient": "recipient",
        "sent_at": "2009-11-10T23:00:00Z",
        "subject": "subject"
      }
    ]
  },
  "success": true,
  "errors": [
    {
      "message": "message",
      "code": "string"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ],
  "result_info": {
    "count": 0,
    "page": 0,
    "per_page": 0,
    "total_count": 0,
    "total_pages": 0
  }
}
Returns Examples
{
  "result": {
    "emails": [
      {
        "id": "id",
        "body": "body",
        "recipient": "recipient",
        "sent_at": "2009-11-10T23:00:00Z",
        "subject": "subject"
      }
    ]
  },
  "success": true,
  "errors": [
    {
      "message": "message",
      "code": "string"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ],
  "result_info": {
    "count": 0,
    "page": 0,
    "per_page": 0,
    "total_count": 0,
    "total_pages": 0
  }
}